<?php

/**
 * Single Post Options
 *
 * @package gamers_studio
 */

$wp_customize->add_section(
	'gamers_studio_single_post_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'gamers-studio' ),
		'panel' => 'gamers_studio_theme_options',
	)
);


// Post Options - Show / Hide Date.
$wp_customize->add_setting(
	'gamers_studio_single_post_hide_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_single_post_hide_date',
		array(
			'label'   => esc_html__( 'Show / Hide Date', 'gamers-studio' ),
			'section' => 'gamers_studio_single_post_options',
		)
	)
);

// Post Options - Show / Hide Author.
$wp_customize->add_setting(
	'gamers_studio_single_post_hide_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_single_post_hide_author',
		array(
			'label'   => esc_html__( 'Show / Hide Author', 'gamers-studio' ),
			'section' => 'gamers_studio_single_post_options',
		)
	)
);

// Post Options - Show / Hide Comments.
$wp_customize->add_setting(
	'gamers_studio_single_post_hide_comments',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_single_post_hide_comments',
		array(
			'label'   => esc_html__( 'Show / Hide Comments', 'gamers-studio' ),
			'section' => 'gamers_studio_single_post_options',
		)
	)
);

// Post Options - Show / Hide Time.
$wp_customize->add_setting(
	'gamers_studio_single_post_hide_time',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_single_post_hide_time',
		array(
			'label'   => esc_html__( 'Show / Hide Time', 'gamers-studio' ),
			'section' => 'gamers_studio_single_post_options',
		)
	)
);

// Post Options - Show / Hide Category.
$wp_customize->add_setting(
	'gamers_studio_single_post_hide_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_single_post_hide_category',
		array(
			'label'   => esc_html__( 'Show / Hide Category', 'gamers-studio' ),
			'section' => 'gamers_studio_single_post_options',
		)
	)
);

// Post Options - Show / Hide Tag.
$wp_customize->add_setting(
	'gamers_studio_post_hide_tags',
	array(
		'default'           => true,
		'sanitize_callback' => 'gamers_studio_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Gamers_Studio_Toggle_Switch_Custom_Control(
		$wp_customize,
		'gamers_studio_post_hide_tags',
		array(
			'label'   => esc_html__( 'Show / Hide Tag', 'gamers-studio' ),
			'section' => 'gamers_studio_single_post_options',
		)
	)
);

// Post Options - Comment Title.
$wp_customize->add_setting(
	'gamers_studio_blog_post_comment_title',
	array(
		'default'=> 'Leave a Reply',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'gamers_studio_blog_post_comment_title',
	array(
		'label'	=> __('Comment Title','gamers-studio'),
		'input_attrs' => array(
			'placeholder' => __( 'Leave a Reply', 'gamers-studio' ),
		),
		'section'=> 'gamers_studio_single_post_options',
		'type'=> 'text'
	)
);